<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Update_Group StructType
 * @subpackage Structs
 */
class Update_Group extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The GroupUpdate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GroupUpdate
     */
    public $GroupUpdate;
    /**
     * Constructor method for Update_Group
     * @uses Update_Group::setLogin()
     * @uses Update_Group::setGroupUpdate()
     * @param \StructType\Login $login
     * @param \StructType\GroupUpdate $groupUpdate
     */
    public function __construct(\StructType\Login $login = null, \StructType\GroupUpdate $groupUpdate = null)
    {
        $this
            ->setLogin($login)
            ->setGroupUpdate($groupUpdate);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Update_Group
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get GroupUpdate value
     * @return \StructType\GroupUpdate|null
     */
    public function getGroupUpdate()
    {
        return $this->GroupUpdate;
    }
    /**
     * Set GroupUpdate value
     * @param \StructType\GroupUpdate $groupUpdate
     * @return \StructType\Update_Group
     */
    public function setGroupUpdate(\StructType\GroupUpdate $groupUpdate = null)
    {
        $this->GroupUpdate = $groupUpdate;
        return $this;
    }
}
